function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : String(i); }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t.return && (u = t.return(), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
/**
 * 维保记录
 */
import { useSetState } from 'ahooks';
import dayjs from 'dayjs';
import { VmTable, VmWrapper } from "../../_components";
import { BaseService } from "./api";
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
export default function RmRecord(props) {
  var id = props.id;
  var _useSetState = useSetState({
      pagination: {
        current: 1,
        pageSize: 10,
        total: 0
      },
      sorter: ''
    }),
    _useSetState2 = _slicedToArray(_useSetState, 2),
    state = _useSetState2[0],
    setState = _useSetState2[1];
  var pagination = state.pagination,
    sorter = state.sorter;
  var startDate = dayjs().startOf('y').format('YYYY-MM-DD HH:mm:ss');
  var endDate = dayjs().format('YYYY-MM-DD HH:mm:ss');
  var _BaseService$useRmRec = BaseService.useRmRecord(id, startDate, endDate, pagination.current - 1, sorter),
    rmRecord = _BaseService$useRmRec.rmRecord;
  var getColor = function getColor(code) {
    var color = '#B4B4B4';
    switch (code) {
      case 'AUDIT_PASSED':
        color = '#1FEFA9';
        break;
      case 'AUDIT_FAILED':
        color = '#FF6A65';
        break;
      case 'TO_BE_AUDITED':
        color = '#FF6A65';
        break;
      case 'REVOKED':
        color = '#FA69FF';
        break;
      case 'AUDITING':
        color = '#FFBD1E';
        break;
      default:
        break;
    }
    return color;
  };
  var columns = [{
    title: '工单编号',
    dataIndex: 'workOrderNo',
    key: 'workOrderNo',
    width: 120,
    ellipsis: true
  }, {
    title: '维保类型',
    dataIndex: 'maintainTypeName',
    key: 'maintainTypeName',
    width: 120,
    ellipsis: true
  }, {
    title: '申请金额',
    dataIndex: 'fee',
    key: 'fee',
    width: 100,
    sorter: true,
    render: function render(text) {
      return /*#__PURE__*/_jsx("span", {
        style: {
          color: '#FF7272'
        },
        children: text
      });
    }
  }, {
    title: '申请人',
    dataIndex: 'applyUserName',
    key: 'applyUserName',
    width: 100
  }, {
    title: '申请时间',
    dataIndex: 'applyTime',
    key: 'applyTime',
    width: 150,
    sorter: true
  }, {
    title: '维保状态',
    dataIndex: 'auditStatusDesc',
    key: 'auditStatusDesc',
    width: 120,
    render: function render(text, record) {
      return /*#__PURE__*/_jsxs("div", {
        style: {
          color: getColor(record.auditStatus)
        },
        children: [/*#__PURE__*/_jsx("div", {
          style: {
            display: 'inline-block',
            width: '8px',
            height: '8px',
            borderRadius: '50%',
            marginRight: '6px',
            background: getColor(record.auditStatus)
          }
        }), text]
      });
    }
  }, {
    title: '维保时间',
    dataIndex: 'lastAuditTime',
    key: 'lastAuditTime',
    width: 150,
    sorter: true
  }];
  var handleTableChange = function handleTableChange(sorter) {
    setState({
      sorter: "".concat(sorter.columnKey || 'applyTime', ",").concat(sorter.order === 'ascend' ? 'ASC' : 'DESC')
    });
  };
  var pageChange = function pageChange(page) {
    setState({
      pagination: _objectSpread(_objectSpread({}, pagination), {}, {
        current: page
      })
    });
  };
  var tableProps = {
    pagination: _objectSpread(_objectSpread({}, pagination), {}, {
      total: rmRecord.total,
      defaultPageSize: 10,
      onChange: pageChange
    }),
    handleTableChange: handleTableChange,
    height: 180,
    dataSource: rmRecord.rows
  };
  return /*#__PURE__*/_jsx(VmWrapper, {
    title: "\u7EF4\u4FDD\u8BB0\u5F55",
    children: /*#__PURE__*/_jsx(VmTable, _objectSpread({
      columns: columns
    }, tableProps))
  });
}